Merchant Management Service
Reference
Error Code

If the requested parameters not contain need field, the interface will return an error message with "Parameters Error (xx required)"

{
  "code": 10000,
  "msg": "Parameters Error (activationCode required)"
}

If the interface return an error message with "System Error", Unfortunately, this requires MineSec to handle, and the backend triggered an issue that was not covered

{
  "code": 10001,
  "msg": "System Error"
}
Code RangeDescription
0SUCCESS
401Unauthorized
10000-10010System Common Error Information
11000-11999MSA(APP) Reference Code, not include payment
12000-12999SRS Payment code, contain gateway response
13000-13999TMS/MMS(Service API/Portal) Reference Code

The description of the global return code is as follows:

Response Code

0

SUCCESS

401

Unauthorized, current user not authorized or token expired

10000

Parameters Error (the param info need), request parameter not contain need field.

10001

System Error, the backend triggered an issue that was not cover.

11000-11999

(11000, "Auth invalid")
(11001, "Auth invalid parse")
(11002, "device info not exist")
(10003, "Device invalid, please active")
(11004, "Device decommission, contact manager")
(11005, "activation code invalid")
(11006, "activation code Merchant ID not exist")
(11007, "activation code expired")
(11020, "sign key not exist")
(11021, "emv parameter parse json error")
(11022, "AMS server connect failed")
(11023, "AMS server get error (%s)")
(11024, "AMS server public key not exist")
(11025, "AMS request system error")
(11026, "Working key encrypt error")
(11030, "receipt token invalid")
(11031, "receipt email invalid")
(11032, "Order not exist")
(11033, "Order not approved")
(11034, "Settlement email invalid")

MSA(APP) need re-login, when get code :

  1. Backend get token failed, 11000, 11001
  2. Device inactive, logout and decommission: 10003

12000-12999

(12000, "sign info not match")
(12001, "device info not exist")
(12002, "Device invalid, please active")
(12003, "Device key invalid")
(12010, "TransactionId invalid (%s)")
(12011, "notifyUrl only support protocol https")
(12012, "device info not exist")
(12013, "Acquirer profile info not exist")
(12014, "Emv info not exist")
(12015, "Merchant Id not exist")
(12016, "Card info decrypt failed")
(12017, "Not found payment service")
(12018, "Channel State return exception")
(12019, "Update order state exception")
(12020, "Update order result exception")
(12021, "Merchant MID/TID not exist")
(12022, "Admin password invalid")
(12023, "Merchant MID/TID settlement processing")
(12024, "acquirer message format invalid")
(12030, "Request processing failed (%s)")
(12031, "acquirer decline (%s)")
(12032, "acquirer state unknown")
(12033, "acquirer decline PIN Verification")
(12100, "Transaction ID invalid")
(12101, "query order not exist")
(12102, "order already settlement")
(12103, "order already refund")
(12200, "query order not exist")
(12201, "Order Status incorrect")
(12202, "Order has been fully refunded")
(12203, "Amount exceeds the order, please check the refund amount")
(12204, "Amount unequal the order, please check the refund amount")
(12205, "Order has in-progress refund application, please try again later")
(12206, "Order has been fully refunded")
(12207, "Amount exceeds the order, please check the refund amount")
(12210, "notifyUrl only support protocol https")
(12211, "Not found payment service")
(12213, "Channel State return exception")
(12214, "Update refund order exception")
(12215, "Update refund order exception")
(12216, "Update order exception")
(12220, "acquirer refund request error (%s)")
(12221, "acquirer refund decline (%s)")
(12222, "acquirer refund state unknown")
(12300, "settlement result check incorrect")
(12301, "settlement acquirer not approved")

MSA(APP) need re-login, when get code :

  1. Device inactive, logout and decommission: 12002

13000-13999

(13000, "Owner info invalid")
(13001, "Group contain some users")
(13002, "file wrong type")
(13003, "Upload file format is not supported")
(13004, "Please limit the upload size to %s M Within")
(13005, "query order not exist")
(13006, "Request process failed - %s")
(13007, "receipt email invalid")
(13008, "Order not exist")
(13009, "Order not approved")
(13010, "Current role assign to some user, can't delete")
(13011, "The current role has been assigned to the user and cannot be deleted")
(13012, "current payment method exist")
(13013, "Order settlement failed - %s")
(13014, "Please remove all resources associated (%s)")
(13015, "POS Reference cannot be empty")
(13016, "Unsupported actionType")
(13017, "Send notification failed (%s)")
(13019, "merchant payment config incomplete (%s)")
(13021, "Gateway link not configured")
(13100, "This operation is not support, permission error")
(13101, "DataBase error")
(13102, "current user no exist")
(13103, "current user no auth exist")
(13104, "current user state is disabled")
(13105, "Email no exist")
(13106, "Account locked, try again in %s min or reset your password")
(13107, "User/Password Incorrect")
(13108, "Authentication Exception (%s)")
(13109, "Authentication service is abnormal, please contact the administrator")
(13110, "Email send Incorrect")
(13111, "Current otp code not match")
(13112, "Current otp code not exist")
(13200, "Current user has not assigned any menu permissions. Please contact the administrator")
(13201, "The system is not allowed to delete the current login user")
(13202, "Login user name not exist")
(13203, "Real name not exist")
(13204, "Email not exist")
(13205, "Login user name already exist")
(13206, "email already exist")
(13207, "Password strength is too weak, please reset it")
(13208, "user no exist")
(13209, "the email has been associated with other user")
(13210, "the login name has been associated with other user")
(13211, "Original password verification failed")
(13212, "Not allowed to new password is same as any of the four password used recently")
(13213, "Password strength is too weak, please reset it")
(13310, "Your group has open the multi_acquirers;please use the new Service API")

13310 is returned by the legacy /api/v2 configuration endpoints once your PBO has been switched over to the current Service API. See the Service API overview for which endpoints are affected and what to call instead.